package com.fp.armas.portal.model;

import java.io.Serializable;
import java.sql.Timestamp;

import javax.persistence.EmbeddedId;
import javax.persistence.Entity;
import javax.persistence.FetchType;
import javax.persistence.JoinColumn;
import javax.persistence.ManyToOne;
import javax.persistence.Version;


/**
 * The persistent class for the TCUSTPERSONPHONE database table.
 * 
 */
@Entity
public class Tcustpersonphone implements Serializable {
	private static final long serialVersionUID = 1L;

	@EmbeddedId
	private TcustpersonphonePK id;

	private Long addressnumber;

	private Long areacode;

	private Timestamp datefrom;

	private Long extension;

	private String phonenumber;

	private String phonetypecatalog;

	private String phonetypecatalogcode;
	
	private String ingressusercode;
	
	private String modifyusercode;

	@Version
	private Long recordversion;

	//bi-directional many-to-one association to Tcustperson
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="PERSONCODE", updatable=false, insertable=false)
	private Tcustperson tcustperson;

	//bi-directional many-to-one association to Tsafeuser
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="MODIFYUSERCODE", updatable=false, insertable=false)
	private Tsafeuser tsafeuser1;

	//bi-directional many-to-one association to Tsafeuser
	@ManyToOne(fetch=FetchType.LAZY)
	@JoinColumn(name="INGRESSUSERCODE", updatable=false, insertable=false)
	private Tsafeuser tsafeuser2;

	public Tcustpersonphone() {
	}

	public TcustpersonphonePK getId() {
		return this.id;
	}

	public void setId(TcustpersonphonePK id) {
		this.id = id;
	}

	public Long getAddressnumber() {
		return this.addressnumber;
	}

	public void setAddressnumber(Long addressnumber) {
		this.addressnumber = addressnumber;
	}

	public Long getAreacode() {
		return this.areacode;
	}

	public void setAreacode(Long areacode) {
		this.areacode = areacode;
	}

	public Timestamp getDatefrom() {
		return this.datefrom;
	}

	public void setDatefrom(Timestamp datefrom) {
		this.datefrom = datefrom;
	}

	public Long getExtension() {
		return this.extension;
	}

	public void setExtension(Long extension) {
		this.extension = extension;
	}

	public String getPhonenumber() {
		return this.phonenumber;
	}

	public void setPhonenumber(String phonenumber) {
		this.phonenumber = phonenumber;
	}

	public String getPhonetypecatalog() {
		return this.phonetypecatalog;
	}

	public void setPhonetypecatalog(String phonetypecatalog) {
		this.phonetypecatalog = phonetypecatalog;
	}

	public String getPhonetypecatalogcode() {
		return this.phonetypecatalogcode;
	}

	public void setPhonetypecatalogcode(String phonetypecatalogcode) {
		this.phonetypecatalogcode = phonetypecatalogcode;
	}

	public Long getRecordversion() {
		return this.recordversion;
	}

	public void setRecordversion(Long recordversion) {
		this.recordversion = recordversion;
	}

	public Tcustperson getTcustperson() {
		return this.tcustperson;
	}

	public void setTcustperson(Tcustperson tcustperson) {
		this.tcustperson = tcustperson;
	}

	public Tsafeuser getTsafeuser1() {
		return this.tsafeuser1;
	}

	public void setTsafeuser1(Tsafeuser tsafeuser1) {
		this.tsafeuser1 = tsafeuser1;
	}

	public Tsafeuser getTsafeuser2() {
		return this.tsafeuser2;
	}

	public void setTsafeuser2(Tsafeuser tsafeuser2) {
		this.tsafeuser2 = tsafeuser2;
	}

	public String getIngressusercode() {
		return ingressusercode;
	}

	public void setIngressusercode(String ingressusercode) {
		this.ingressusercode = ingressusercode;
	}

	public String getModifyusercode() {
		return modifyusercode;
	}

	public void setModifyusercode(String modifyusercode) {
		this.modifyusercode = modifyusercode;
	}

}